View Issue Details

IDProjectCategoryView StatusLast Update
0021696mantisbttoolspublic2016-10-02 18:41
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version1.3.2Fixed in Version1.3.2 
Summary0021696: Allow PHPUnit to capture Mantis-specific errors
Description

Due to our custom error handler, it is currently not possible for PHPUnit to capture PHP system errors, as well as our own E_USER_ERRORs as exceptions.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master-1.3.x 7e43fcb5

2016-09-11 12:01:11

dregad

Details Diff
Tests: restore error handler after Mantis core init

We need to disable MantisBT's error handler to allow PHPUnit to convert
errors to exceptions, so we can capture and test them.

Fixes 0021696
mod - tests/TestConfig.php Diff File

Issue History

Date Modified Username Field Change
2016-09-17 12:44 dregad New Issue
2016-09-17 12:44 dregad Status new => assigned
2016-09-17 12:44 dregad Assigned To => dregad
2016-09-17 12:52 dregad Note Added: 0054039
2016-09-29 05:02 dregad Changeset attached => MantisBT master-1.3.x 7e43fcb5
2016-09-29 05:02 dregad Status assigned => resolved
2016-09-29 05:02 dregad Resolution open => fixed
2016-09-29 05:02 dregad Fixed in Version => 1.3.2
2016-10-02 18:41 vboctor Status resolved => closed